int TWIDTH(int *y)
/* 僥僉僗僩夋柺儌乕僪暿倃倄暆撉傒庢傝 */
{
	*y=16;
	switch (dispmode()) {
		case 0x00: /* 掅夝憸搙 俀俆俇仏俀俆俇 */
		case 0x10: /* 崅夝憸搙 俀俆俇仏俀俆俇 */
			return(32);
		case 0x05: /* 掅夝憸搙 俆侾俀仏俆侾俀 */
		case 0x15: /* 崅夝憸搙 俆侾俀仏俆侾俀 */
			*y=32;
		case 0x01: /* 掅夝憸搙 俆侾俀仏俀俆俇 */
		case 0x11: /* 崅夝憸搙 俆侾俀仏俀俆俇 */
			return(64);
	}
	/* case 0x16: 崅夝憸搙 俈俇俉仏俆侾俀 */
	*y=32;
	return(96);
}
